<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
   // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="documentos_alumno.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="5" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="documentos_alumno.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  
	  
  // Captura las variables que vienen de alumnos.php.
  $id_alumno=$_GET['id_alumno'];
  $nombre=$_GET["nombre"];
  $campo=$_GET["campo"];
  $valor_campo=$_GET["valor_campo"];
  $alumVolver=$_GET["alumVolver"];
  
?>

<html>
<head>
<title>sadce -- documentos alumno</title>
<meta name="generator" http-equiv="content-type" content="text/html; charset=UTF-8">
<link href="css/main.css" rel="stylesheet" type="text/css">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    background-color: #FFFFFF01;
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    background-color: #FFFFFF01;
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
.style3 {font-size: 14px}
</style>
</head>
<body>
<form name="documentos" id="documentos">
<table class="bd" width="100%">
	<tr><td class="hr"><h2>Documentos Consignados</h2></td></tr>
	<tr></tr>
	<tr></tr>
</table>

<table class="bd" border="0" cellspacing="1" cellpadding="4">
	<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;<a href="alumnos.php?a=retorno&recid=<?php echo $alumVolver ?>&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>">Regresar</a>&nbsp;</td>
	<tr></tr>
	<tr></tr>
</table>
<?php
   require_once('Connections/cn.php'); 
  mysql_select_db($database_cn, $cn);
  mysql_query ("SET NAMES 'utf8'");

  $showrecs = 15;
  $pagerange = 10;
  // Valida si el alumno tiene el Registro de Documentos Consignados.
  $sqlDocAlumno = "SELECT id_alumno,id_documento FROM  documentos_alumno where id_alumno='$id_alumno'";
  $rstDocAlumno = mysql_query($sqlDocAlumno, $conn) or die(mysql_error());
  $rowsDocAlumno = mysql_num_rows($rstDocAlumno);
  if($rowsDocAlumno==0){
    // Crea el Registro de Documentos Consignados.
	$pendiente='P';
	$sql="Insert into documentos_alumno (id_alumno,id_documento,documento,status) select '$id_alumno' as id_alumno,id,documento,'$pendiente' as status from documentos";
	mysql_query($sql, $conn) or die(mysql_error());	
    }		
  // Muestra en pantalla Relación de los Documentos Consignados por el Alumno	
  $tblDocumentos = "SELECT * FROM  documentos_alumno WHERE id_alumno='$id_alumno'";
  $rstTblDocumentos = mysql_query($tblDocumentos, $conn) or die(mysql_error());
  $rowTblDocumentos = mysql_fetch_assoc($rstTblDocumentos);
  $rowsTblDocumentos = mysql_num_rows($rstTblDocumentos);	
  ?>
  <table width="70%" border="1" align="center" cellpadding="0" cellspacing="0">
  <tr id="titulo1">
    <td colspan="3" align="center" class="style3">ESTUDIANTE:&nbsp;<?php echo $nombre; ?></td>
  </tr>
  <iframe name="comando" id="comando" frameborder="0" height="0" width="0"></iframe>
  <tr id="titulo1">
    <td align="center"><span class="style3">Nro.</span></td>
    <td align="center"><span class="style3">Documento</span></td>
    <td align="center"><span class="style3">Status</span></td>
  </tr>
  <?php 
  $nro=1;
  do {
  //echo 'Status-->'.$rowTblDocumentos['id_documento'].' / '.$rowTblDocumentos['status'].'<br>'; 
  
   if( $rowTblDocumentos['status']=='1'){
  		$value="Checked";
		$status='0';
   }
   else{
   		$value="unChecked";
		$status='1';
   }
  ?>
    <tr>
      <td><div align="right">&nbsp;<?php echo $nro; ?>&nbsp;&nbsp;</div></td>
	  <td><div align="left">&nbsp;<?php echo $rowTblDocumentos['documento']; ?></div></td>
	 
      <td><div align="center"> 
	  
	  <input name="status" id="status" type="checkbox" <?php echo $value; ?> onClick="cambiar_status('<?php echo $id_alumno; ?>','<?php echo $rowTblDocumentos['id_documento']; ?>','<?php echo $status; ?>','<?php echo $nombre; ?>', '<?php echo $campo; ?>', '<?php echo $valor_campo; ?>', '<?php echo $alumVolver; ?>')">
      </div> </td>
    </tr>
    <?php 
	   $nro=$nro+1;
	   } while ($rowTblDocumentos = mysql_fetch_assoc($rstTblDocumentos)); ?>
</table>
</form>
</body>
</html>

<script type="text/javascript">
	function cambiar_status(id_alumno,id_documento,estado,nombre,campo,valor_campo,alumVolver)
	{ 
	  url="cambiar_status.php?id_alumno="+id_alumno+"&status="+estado+"&id_documento="+id_documento+"&nombre="+nombre+"&campo="+campo+"&valor_campo="+valor_campo+"&alumVolver="+alumVolver;
	  comando.location=url;
	}

	
</script>  

<?php
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }

?>


